commit:     d6abd790f7931624d968f6a2e74e9e358ddcfee1
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Feb  9 18:49:39 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Feb  9 18:49:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6abd790

net-libs/librouteros: Port to EAPI 7

Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 ...patch => librouteros-1.1.2-remove-Werror.patch} |  4 +--
 net-libs/librouteros/librouteros-1.1.2.ebuild      | 30 ++++++++++++++--------
 2 files changed, 22 insertions(+), 12 deletions(-)

diff --git a/net-libs/librouteros/files/disable_werror.patch 
b/net-libs/librouteros/files/librouteros-1.1.2-remove-Werror.patch
similarity index 61%
rename from net-libs/librouteros/files/disable_werror.patch
rename to net-libs/librouteros/files/librouteros-1.1.2-remove-Werror.patch
index 599e85b74d0..b3f005a4be3 100644
--- a/net-libs/librouteros/files/disable_werror.patch
+++ b/net-libs/librouteros/files/librouteros-1.1.2-remove-Werror.patch
@@ -1,5 +1,5 @@
---- src/Makefile.am.orig       2011-12-30 21:17:04.233158203 +0200
-+++ src/Makefile.am    2011-12-30 21:18:42.186354842 +0200
+--- a/src/Makefile.am
++++ b/src/Makefile.am
 @@ -1,7 +1,7 @@
  AUTOMAKE_OPTIONS = foreign no-dependencies
  

diff --git a/net-libs/librouteros/librouteros-1.1.2.ebuild 
b/net-libs/librouteros/librouteros-1.1.2.ebuild
index 9e89899c90e..a6be5fce280 100644
--- a/net-libs/librouteros/librouteros-1.1.2.ebuild
+++ b/net-libs/librouteros/librouteros-1.1.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
+EAPI=7
 
-inherit base autotools-utils autotools
+inherit autotools
 
 DESCRIPTION="Library for accessing MikroTik's RouterOS via its API"
 HOMEPAGE="http://verplant.org/librouteros/";
@@ -12,15 +12,25 @@ SRC_URI="http://verplant.org/librouteros/files/${P}.tar.bz2";
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 x86"
-IUSE="debug static-libs"
+IUSE="debug"
 
-DEPEND="dev-libs/libgcrypt:0"
-RDEPEND="${DEPEND}"
+RDEPEND="dev-libs/libgcrypt:0="
+DEPEND="${RDEPEND}"
 
-DOCS=(README AUTHORS)
-PATCHES=("${FILESDIR}"/disable_werror.patch)
+PATCHES=( "${FILESDIR}"/${P}-remove-Werror.patch )
 
-src_prepare(){
-       base_src_prepare
+src_prepare() {
+       default
        eautoreconf
 }
+
+src_configure() {
+       econf --disable-static
+}
+
+src_install() {
+       default
+
+       # no static archives
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to